# Generated from public_activity-1.6.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name public_activity

Name: rubygem-%{gem_name}
Version: 1.6.4
Release: 1%{?dist}
Summary: Easy activity tracking for ActiveRecord models
License: MIT
URL: https://github.com/pokonski/public_activity
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(sqlite3) >= 1.3.7
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(mocha) >= 1.5.0
# BuildRequires: rubygem(mocha) < 1.6
# BuildRequires: rubygem(simplecov) >= 0.7.0
# BuildRequires: rubygem(simplecov) < 0.8
# BuildRequires: rubygem(test-unit) >= 3.2.8
# BuildRequires: rubygem(test-unit) < 3.3
# BuildRequires: rubygem(minitest) >= 4.7.5
# BuildRequires: rubygem(minitest) < 4.8
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Easy activity tracking for your ActiveRecord models. Provides Activity model
with details about actions performed by your users, like adding comments,
responding etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.6.4-1
- Initial package
